Bug 244224 - Add 'reinstall' option for yum
Add 'reinstall' option for yum
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Depends On:
  Show dependency treegraph
Reported: 2007-06-14 12:08 EDT by Filip Miletic
Modified: 2014-01-21 17:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-04 16:24:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Filip Miletic 2007-06-14 12:08:31 EDT
Description of problem:
yum is missing a 'reinstall' option. 

Version-Release number of selected component (if applicable):
IMHO all releases don't have this option.

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:
It would be good to have a reinstall option, e.g. in case a file or a directory
from a known package is damaged.  Simple 'yum reinstall package-name' would
restore the missing file. 

Right now this is quite difficult to do.  An obvious remove-install solution
does not work if package provides a feature used by others. 
Additional info:
Comment 1 FranciscoMendonça 2007-06-23 10:17:22 EDT
I agree with Filip's request. Sometimes you just mess things up and the best and
simple way to get around is to remove the package and o install it again.
Unfortunately sometimes this solution reveals itself to be more of  a problem
than the original one with yum removing half of your software because of
Comment 2 john bradley 2008-01-27 11:52:23 EST
actually, there's a --repackage option with rpm. you can set a flag in yum.conf
so when you remove a package, the old package will be placed in /var/spool.
however, i believe you use rpm and a specified time to restore the old package.
what would be nice is if there was a yum switch/option(s) that you can use to
roll back individual packages by name from a source directory without having to
use rpm and a date range. this may already be possible from just using rpm and
up2date but having it centralized and efficient in yum would be nice.
Comment 3 john bradley 2008-01-27 11:54:23 EST
wow. this is 7 months old. never mind. i'll just write a script.
Comment 4 Seth Vidal 2008-02-04 16:24:10 EST
okay I just checked this code into yum upstream

yum reinstall pkg

should do the right thing (within reason)

I'd highly recommend being as specific as possible with the pkg specification so
you don't end up adding too much.

Note You need to log in before you can comment on or make changes to this bug.